> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-r/reference/dataset/datasetusdnext_version.md).

# Dataset$next\_version

### Dataset$<mark style="color:purple;">next\_version</mark>() → [Dataset](/api/client-libraries/redivis-r/reference/dataset.md) | None

Returns a reference to the dataset at the version following the current version, or `None` if no subsequent version exists.

{% hint style="warning" %}
Note that this method won't necessarily return the latest unreleased version of the dataset, often referred to as `v next` throughout the UI / API. This method is instead used for traversing the version history of a dataset, and will always return the dataset at the version immediately following the currently referenced version.
{% endhint %}

### **Returns**

[**Dataset**](/api/client-libraries/redivis-r/reference/dataset.md) **| None**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/dataset/datasetusdnext_version.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
